# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Sensitivity.Rel

    java.lang.Object
      java.lang.Enum<Sensitivity.Rel>
          com.google.gdata.data.contacts.Sensitivity.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sensitivity.Rel>

Enclosing class:
  Sensitivity

    public static enum Sensitivity.Rel

extends java.lang.Enum<Sensitivity.Rel>

Sensitivity type.

Enum Constant Summary
`CONFIDENTIAL` Confidential sensitivity.
`NORMAL` Normal sensitivity.
`PERSONAL` Personal sensitivity.
`PRIVATE` Private sensitivity.

Method Summary
`static Sensitivity.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sensitivity.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONFIDENTIAL

    public static final Sensitivity.Rel CONFIDENTIAL

  Confidential sensitivity.

### NORMAL

    public static final Sensitivity.Rel NORMAL

  Normal sensitivity.

### PERSONAL

    public static final Sensitivity.Rel PERSONAL

  Personal sensitivity.

### PRIVATE

    public static final Sensitivity.Rel PRIVATE

  Private sensitivity.

Method Detail

### values

    public static Sensitivity.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sensitivity.Rel c : Sensitivity.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sensitivity.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null